%define upstream_name    Getopt-Long-Descriptive
%define upstream_version 0.099

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Getopt::Long with usage text and validation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(Getopt::Long) >= 2.330.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Params::Validate) >= 0.970.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter) >= 0.972.0
BuildRequires: perl(Sub::Exporter::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Warnings) >= 0.5.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
Convenient wrapper for Getopt::Long and program usage output

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.99.0-3.mga6
+ Revision: 1027889
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.99.0-2.mga6
+ Revision: 966999
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 0.99.0-1.mga6
+ Revision: 847908
- update to 0.099

* Wed Oct 15 2014 umeabot <umeabot> 0.97.0-4.mga5
+ Revision: 748149
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.97.0-3.mga5
+ Revision: 732185
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.97.0-2.mga5
+ Revision: 684858
- Mageia 5 Mass Rebuild

* Fri Mar 14 2014 jquelin <jquelin> 0.97.0-1.mga5
+ Revision: 603718
- update to 0.097

* Mon Oct 21 2013 umeabot <umeabot> 0.96.0-2.mga4
+ Revision: 539285
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 sander85 <sander85> 0.96.0-1.mga4
+ Revision: 491729
- update to 0.096

* Fri Sep 27 2013 sander85 <sander85> 0.95.0-1.mga4
+ Revision: 487814
- update to 0.095

* Sun Sep 08 2013 sander85 <sander85> 0.94.0-1.mga4
+ Revision: 476172
- update to 0.094

* Sun Jan 13 2013 umeabot <umeabot> 0.93.0-2.mga3
+ Revision: 367736
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.93.0-1.mga3
+ Revision: 315063
- update to 0.093

* Fri Aug 31 2012 kharec <kharec> 0.92.0-1.mga3
+ Revision: 286159
- update to 0.092

* Thu Feb 23 2012 jquelin <jquelin> 0.91.0-1.mga2
+ Revision: 212893
- update to 0.091

* Fri Jun 17 2011 jquelin <jquelin> 0.90.0-1.mga2
+ Revision: 108837
- update to 0.090

* Mon Jan 31 2011 dmorgan <dmorgan> 0.89.0-1.mga1
+ Revision: 45253
- New version

* Sat Jan 22 2011 jquelin <jquelin> 0.87.0-1.mga1
+ Revision: 32015
- mageia rebuild
- imported package perl-Getopt-Long-Descriptive

